gi-atk-2.0.28: Atk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Atk.Objects.ObjectFactory

Contents

- Exported types
- Methods
  - createAccessible
  - getAccessibleType
  - invalidate

Description

The base object class for a factory used to create accessible objects for objects of a specific GType.

This class is the base object class for a factory used to create an accessible object for a specific GType. The function `registrySetFactoryType` is normally called to store in the registry the factory type to be used to create an accessible of a particular GType.

Synopsis

- newtype ObjectFactory = ObjectFactory (ManagedPtr ObjectFactory)
- class (GObject o, IsDescendantOf ObjectFactory o) => IsObjectFactory o
- toObjectFactory :: (MonadIO m, IsObjectFactory o) => o -> m ObjectFactory
- objectFactoryCreateAccessible :: (HasCallStack, MonadIO m, IsObjectFactory a, IsObject b) => a -> b -> m Object
- objectFactoryGetAccessibleType :: (HasCallStack, MonadIO m, IsObjectFactory a) => a -> m GType
- objectFactoryInvalidate :: (HasCallStack, MonadIO m, IsObjectFactory a) => a -> m ()

# Exported types

newtype ObjectFactory Source #

Memory-managed wrapper type.

Constructors

ObjectFactory (ManagedPtr ObjectFactory) |

#### Instances

Instances details

Eq ObjectFactory Source # |
Instance details Defined in GI.Atk.Objects.ObjectFactory Methods (==) :: ObjectFactory -> ObjectFactory -> Bool Source # (/=) :: ObjectFactory -> ObjectFactory -> Bool Source #
GObject ObjectFactory Source # |
Instance details Defined in GI.Atk.Objects.ObjectFactory
ManagedPtrNewtype ObjectFactory Source # |
Instance details Defined in GI.Atk.Objects.ObjectFactory Methods toManagedPtr :: ObjectFactory -> ManagedPtr ObjectFactory Source #
TypedObject ObjectFactory Source # |
Instance details Defined in GI.Atk.Objects.ObjectFactory Methods glibType :: IO GType Source #
HasParentTypes ObjectFactory Source # |
Instance details Defined in GI.Atk.Objects.ObjectFactory
IsGValue (Maybe ObjectFactory) Source # | Convert `ObjectFactory` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Atk.Objects.ObjectFactory Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ObjectFactory -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ObjectFactory) Source #
type ParentTypes ObjectFactory Source # |
Instance details Defined in GI.Atk.Objects.ObjectFactory type ParentTypes ObjectFactory = '[Object]

class (GObject o, IsDescendantOf ObjectFactory o) => IsObjectFactory o Source #

Type class for types which can be safely cast to `ObjectFactory`, for instance with `toObjectFactory`.

#### Instances

Instances details

(GObject o, IsDescendantOf ObjectFactory o) => IsObjectFactory o Source # |
Instance details Defined in GI.Atk.Objects.ObjectFactory

toObjectFactory :: (MonadIO m, IsObjectFactory o) => o -> m ObjectFactory Source #

Cast to `ObjectFactory`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, createAccessible, forceFloating, freezeNotify, getv, invalidate, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleType, getData, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.

## createAccessible

objectFactoryCreateAccessible Source #

Arguments

:: (HasCallStack, MonadIO m, IsObjectFactory a, IsObject b) |
=> a | `factory`: The `ObjectFactory` associated with `obj`'s object type
-> b | `obj`: a `Object`
-> m Object | Returns: an `Object` that implements an accessibility interface on behalf of `obj`

Provides an `Object` that implements an accessibility interface on behalf of `obj`

## getAccessibleType

objectFactoryGetAccessibleType Source #

Arguments

:: (HasCallStack, MonadIO m, IsObjectFactory a) |
=> a | `factory`: an `ObjectFactory`
-> m GType | Returns: the type of the accessible which is created by the `factory`. The value G_TYPE_INVALID is returned if no type if found.

Gets the GType of the accessible which is created by the factory.

## invalidate

objectFactoryInvalidate Source #

Arguments

:: (HasCallStack, MonadIO m, IsObjectFactory a) |
=> a | `factory`: an `ObjectFactory` to invalidate
-> m () |

Inform `factory` that it is no longer being used to create accessibles. When called, `factory` may need to inform `AtkObjects` which it has created that they need to be re-instantiated. Note: primarily used for runtime replacement of `AtkObjectFactorys` in object registries.